| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Stdio
Stdio.FILE

# Method Stdio.FILE()->gets()

Method gets

  `string gets(int(0..1)|void not_all)`

Description

  Read one line of input with support for input conversion.

Parameter `not_all`

  Set this parameter to ignore partial lines at EOF. This is useful for eg monitoring a growing logfile.

Returns

  This function returns the line read if successful, and `0` if no more lines are available.

See also

  ngets() , read() , line_iterator() , set_charset()